/*
  header.js
  fffadedev
  08/24/25

  Manages the interface of the header with title and round information
 */


class Header
{
  constructor() {
    this.el = document.getElementById('header');
    this.roundNumberEl = document.getElementById('round-number');
    this.realWordEl = document.getElementById('real-word');
  }

  updateRoundNumber(n) {
    this.roundNumberEl.innerText = n.toString();
  }

  hideRealWord()
  {
    this.realWordEl.style.opacity = '0';
  }

  showRealWord(word)
  {
    this.realWordEl.style.opacity = '1';
    this.realWordEl.innerHTML = word;
  }
}
